Subject: Re: linux-next: Tree for Jul 31 (net/decnet/ & FIB_RULES)

From: Stephen Rothwell <[email-masked]>
Date: Sat, 1 Aug 2020 10:35:07 +1000

Hi Randy,

On Fri, 31 Jul 2020 08:53:09 -0700 Randy Dunlap <[email-masked]> wrote:
>
> on i386:
> 
> ld: net/core/fib_rules.o: in function `fib_rules_lookup':
> fib_rules.c:(.text+0x16b8): undefined reference to `fib4_rule_match'
> ld: fib_rules.c:(.text+0x16bf): undefined reference to `fib4_rule_match'
> ld: fib_rules.c:(.text+0x170d): undefined reference to `fib4_rule_action'
> ld: fib_rules.c:(.text+0x171e): undefined reference to `fib4_rule_action'
> ld: fib_rules.c:(.text+0x1751): undefined reference to `fib4_rule_suppress'
> ld: fib_rules.c:(.text+0x175d): undefined reference to `fib4_rule_suppress'
> 
> CONFIG_DECNET=y
> CONFIG_DECNET_ROUTER=y
> 
> DECNET_ROUTER selects FIB_RULES.

I assume that CONFIG_IP_MULTIPLE_TABLES was not set for that build?

Caused by commit

  b9aaec8f0be5 ("fib: use indirect call wrappers in the most common fib_rules_ops")

from the net-next tree.
-- 
Cheers,
Stephen Rothwell